pydo.genai.create_oauth2_dropbox_tokens()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.genai.create_oauth2_dropbox_tokens(
    body={
        "code": "example string",
        "redirect_url": "example string",
    },
)
Returns JSONRaises HttpResponseError

Description

To obtain the refresh token, needed for creation of data sources, send a GET request to /v2/gen-ai/oauth2/dropbox/tokens. Pass the code you obtrained from the oauth flow in the field ‘code’

Parameters

code string optional

Example: example string

The oauth2 code from google

redirect_url string optional

Example: example string

Redirect url

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "code": "example string",
  "redirect_url": "example string"
}

resp = client.genai.create_oauth2_dropbox_tokens(body=req)

Response Example

Show Response Example
{
  "refresh_token": "example string",
  "token": "example string"
}

More Information

See /v2/gen-ai/oauth2/dropbox/tokens in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.